FROM alpine:latest

# Install base packages
RUN echo "http://dl-cdn.alpinelinux.org/alpine/edge/community" >> /etc/apk/repositories
RUN apk add --update --no-cache \
    bash \
    git \
    openssh \
    curl \
    docker \
    docker-cli \
    docker-cli-compose \
    bind-tools \
    yq \
    jq \
    rsync

# Install deployment scripts
COPY ./DeploymentScripts /scripts
RUN chmod -R +x /scripts